w3hello.com logo
Home PHP C# C++ Android Java Javascript Python IOS SQL HTML videos Categories
How to manually install JAutodoc in eclipse kepler?
Follow these steps for Installation: Download jautodoc_1.11.0.zip file from : http://jautodoc.sourceforge.net/index.html#download Unzip the jautodoc_1.11.0.zip file from the eclipse folder. Verify the following files get copied: Plugin folder : net.sf.jautodoc.velocity_1.11.0.jar net.sf.jautodoc_1.11.0.jar Features folder : net.sf.jautodoc.feature_1.11.0 Restart eclipse. The JAutodoc feature should be available in Windows --> Preferences Usage : Select the whole file or method or attribute --> Rightclick --> Add Javadoc Visit the following link for further info : http://www.roseindia.net/IDE/Eclipse/jautodoc-plugin.shtml

Categories : Misc

Manually install Device plugin (and others) into cordova 3.0
I ran into the same issue. In fact, the plugin system has not changed much. I added the date picker plugin for Android just now : add classes (.m .h for iphone, .java for android) add js files where you want add link to js files in your index.html edit config.xml (path depends on which OS you used) : Instead of adding plugins between plugins tags : <plugin name="DatePickerPlugin" value="com.phonegap.plugins.DatePickerPlugin"/> You will add a feature (what a revolution !) like this : <feature name="DatePickerPlugin" > <param name="android-package" value="com.phonegap.plugins.DatePickerPlugin"/> </feature> And that is it ! If you are not sure about the OS syntax for param name, you can add a default cordova plugin using a command as this one : cordov

Categories : Android

sequelize.js - You need to install mysql package manually
You need to install the mysql npm module: npm install mysql The reason sequelize doesn't have the mysql module as its own dependency is because it can be used with other databases such as postgres or sqlite.

Categories : Mysql

Is this a safe way to install simplejson for python 2.4 manually?
You could either install it to a location which is in the pythonpath. Check the path via: import sys print sys.path (Depending on your OS, you can change the PYTHONPATH-Enviroment variable via command-line or other options). Or (and this is the preferred method), just install it via pip install simplejson, which takes care of the dependecies, locations and stuff like that. It's even documented here. Check the pip installation instructions there as well. Edit: Sorry, once there is no easy_install, you have to manually put simplejson in the pythonpath-folder, I guess.

Categories : Python

Install nltk training data manually in python
According to this comment, this is all the data: http://nltk.googlecode.com/svn/trunk/nltk_data/index.xml

Categories : Python

jar: error while loading shared libraries: libjli.so [How to manually install Java 6]
I'm posting my solution on here in case anyone else runs into a similar problem and stumbles across this. I simply re-installed my OS, ran the steps again, and everything worked perfectly fine this time. I must have caused some sort of error on my machine as I ran the same exact steps too. Here is what I did to manually install Java 6 on a clean machine: Install Java 6(.bin format) from the Oracle website Give it executable permissons and execute it Add a jvm folder to usr/lib/ Move your Java 6 folder to usr/lib/jvm Link java/javaws/javac to usr/bin using the ln -s command Add your Java6 and Java/bin location to your path. For me its: export JAVA_HOME=usr/lib/jvm/jdk1.6.0_45 export PATH=/usr/bin:$JAVA_HOME/bin

Categories : Java

Function using if else in scilab
You can write the function as follows: function [dx] = calc_dx( t, x) verbose = 1 k1 = 2 k2 = 3 dx = [] t0 = 15 if (t < t0) dx(1) = ( 10 * x(1) ) / ( 1 + ( 10 * x(1) ) ) else dx(1) = ( 10 * x(1)) / ( 1 + ( 10 * ( x(1) + x(2) ) ) ) dx(2) = ( k2 * x(1) * x(1) ) - k1 * x(2) end endfunction I have presumed that k1 and k2 are constants and not other variables and have assigned them values. Remember to keep your present working directory to where you have kept the '.sci' file for the above function. From the command window run exec filename.sci; to load your function into scilab.

Categories : Misc

Deploying Django app on Heroku: Can I manually set environment variables in the .env file? Do I need to install tools like autoenv, heroku-config...?
I got stuck with the postgres as well, here's what I did in the settings.py to add local settings: DATABASES = { 'default': dj_database_url.config(default='postgres://<user>:<password>@<host>/<dbname>') } Of course you have to have created the database following postgres steps. Solution was from https://discussion.heroku.com/t/dj-database-url-config-is-returning-an-empty-object/55/9

Categories : Django

Unable to delete file through function in Scilab
You probably leave (left) the file open. Try this: fil="d:AttilaPROJECTSScilabStackoverflowfile_to_delete.txt"; //change it! fprintfMat(fil,rand(3,3),"%.2g"); //fill with some data fd=mopen(fil,"r"); //open //do something with the file mclose(fd); //close //if you neglect (comment out) this previous line, the file remains open, //and scilab can not delete it! //If you made this "mistake", first you should close it by executing: // mclose("all"); //otherwise the file remains open until you close (and restart) Scilab! mdelete(fil); //this works for me

Categories : Function

"The gem ... has been deleted. It was installed at" Error. Bundle install doesn't install gems. How to re-install gems?
This solved it for me: "gem install" and "bundle install" do not install gem dependencies after manual gem deletion. How to inform Rubygems that gems were deleted manually? (Delete the .gemspec files for the gems you have removed).

Categories : Misc

How to Install Matplotlib Basemap Module on Windows 7 with WinPython (or any Python stack install)?
I use windows. And my installation failed with official guidance, too. Finally I installed Basemap using the following method. Although I am not sure if it will go right for you, I just offer mine. First of all, you must have pip in your computer. (It is much easier to install, compared with Basemap and other things. And it can be used to install many useful packages.) Then go this great link: http://www.lfd.uci.edu/~gohlke/pythonlibs/ And download the file named "basemap‑1.0.8‑cp27‑none‑win_amd64.whl". Remove the .whl file to directory "C:Python27". (Maybe you installed your python in different disk, then change it accordingly.) Open terminal. (Use cmd or Git Bash or something else.) Use command: pip install basemap‑1.0.8‑cp27‑none‑win_amd64.whl

Categories : Python

Pip install python package into a specific directory other than the default install location
System: Ubuntu 12.04, Enthought Python Distribution (this is where I wanted to install a new python module) So the prefix_path environment variable didn't work for me and pip still kept installing it in the default location. But I used change default directory for pip install question as a guide. And one of the answers helped me achieve what I needed. pip install -d <path_to_my_directory> For the path I used: path_to_epd_directory/lib/python2.7/site-packages This puts the tar.gz file into the site-packages Then extract it using: tar -zxvf pymodule.tar.gz a directory named pymodule is created, cd into that module and type: python setup.py install and that should do the job.

Categories : Python

Error "invalid switch in RUBYOPT: -F (RuntimeError)" is shown while install gems by gem install mechanize
I found the reason. Just because there is a space in the installation path of Ruby RUBY EXECUTABLE: "C:/Program Files/Ruby200-x64/bin/ruby.exe" Re-install the Ruby to the path which doesn't contain space, this error will be fixed. And, of course, AutoRun should be removed from HKCUSoftwareMicrosoftCommand Processor and HKLMSoftwareMicrosoftCommand Processor. That's important!

Categories : Ruby

When exporting .Apk in the android manifest its does not install on other phones, when getting from Bin folder it does install?
There is most likely a problem with the certificate. Try making a new certificate, keystore, and alias, then generate the .apk again. Make sure that no previous instance of the app is on the phone when you try to install this new version or the mismatch of signatures will cause the installation to fail. Also, was there a previous version of the app installed on their phones already? The signature mismatch may occur due to the use of both signed and unsigned(in reality the .apk is singed, but it is done automatically by the system) .apks

Categories : Android

Component install error: JInstaller: :Install: File does not exist
check if you have added this code to your XML: <languages> <language tag="en-GB" client="site">language/en-GB/en-GB.com_helloworld.ini</language> <language tag="en-GB" client="site">language/en-GB/en-GB.com_helloworldt.sys.ini</language> </languages> and: <administration> ... <languages> <language tag="en-GB" client="site">language/en-GB/en-GB.com_helloworld.ini</language> <language tag="en-GB" client="site">language/en-GB/en-GB.com_helloworld.sys.ini</language> </languages> ... </administration> and check if the files are included in your installation ZIP - in right folder, e.g.: language/en-GB/ ... Be aware, the path to the file can be different for

Categories : PHP

How install ruby with rbenv install 1.9.3-p448 ubuntu 12.04 vagrant box?
Download the ruby using your browser from ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p448.tar.bz2 and place it in ~/.rbenv/caches/ruby-1.9.3-p448.tar.bz2, then run rbenv install 1.9.3-p448 Explanation here

Categories : Ruby On Rails

C# Install - Change a custom folder location using install dialog
So PATHPROPERTY returns the custom folder location user has selected, If thats the case you have to set that property to "Property" attribute. Also make sure in the User Interface Editor you are getting the user input before installation starts. (You can move up and down the UI to required position)

Categories : C#

Bundle install gets permission issues with global RVM install
This error doesn't necessarily need to be solved. Your bundle is installing properly, but it's not able to remove cached gems. It's a pretty harmless error unless you're running way short on hard drive space. I actually get this same error too. The problem is that my home directory is remotely mounted, so local root doesn't have permission to modify items there. Local root only has global write permissions on local directories. I imagine, based on what you describe, that you have the same issue. You could remove the files manually, or you could instruct rvm to install gems in a directory on the local machine.

Categories : Ruby On Rails

Why "bundle install" try to install outdated version of gems?
bundle install or in short bundle does not install the latest gem unless you have left out the version in your Gemfile. e.g. gem 'rails' But usually this is not the case, we specify versions to prevent application from "crashing" when some gems are updated and we unknowingly run bundle update, or for that matter move application to say test or production servers. Usually when adding a gem to Gemfile, we do: gem 'rails', '~> 3.2.7' Note the leading ~> in the version number. This says: use rails gem between versions 3.2.7 and less than 3.3.0. In order for your bundle command to grab rails 4.0, you need to change that line to read either one of the following: gem 'rails', '>= 3.2.7' or gem 'rails', '4.0.0' If you use gem 'rails', '>= 3.2.7' then your rails appl

Categories : Ruby On Rails

Install multiple packages on linux (like pip install -r requirements.txt)
Put the list of packages in a text file(say test.txt) with package names separated by spaces, like this - python ruby foo bar then you can just install with apt-get like this - sudo apt-get install $(cat test.txt)

Categories : Linux

rails heroku - how to install javascript dependences that needs 'npm install ...'
If you are deploying a Node app, declare it in your package.json, otherwise, specific it in your gemfile. https://devcenter.heroku.com/articles/getting-started-with-nodejs#declare-dependencies-with-npm

Categories : Ruby On Rails

Trying to install a Scitools Python pkg via 'pip install' but getting error
I had the same error but resolved it by manually installing all the Anaconda packages. NumPy SciPy Pandas PyTables h5py Matplotlib IPython Spyder Qt/PySide VTK Numexpr Astropy Cython LLVM LLVMpy Numba Scikit-learn Scikit-image NLTK NetworkX MayaVi

Categories : Python

Can't Install gem install mysql2 Ruby WINx64
I've downloaded the connector from http://dev.mysql.com/downloads/mirror.php?id=412857 and typed in the command prompt gem install mysql --platform=ruby -- --with-mysql-include=C:mysql-connector-c-6.1.0-winx64include --with-mysql-lib=C:mysql-connector-c-6.1.0-winx64lib

Categories : Mysql

Rails : gem install vs. gemfile&bnudle install
RubyGems is akin to a package manager for Ruby. It's a means by which you can install self-contained libraries to use in your applications. When you use gem install gemname you're installing that gem to the current machine that you're developing on. Bundler is a tool for managing the gems that your application depends on. When you create a Gemfile, you list the various gems and their versions that your application requires. This allows you to easily ensure that your application has the gems it needs when you deploy it to a new location - for example, when you push to Heroku, your Gemfile is used to determine all the dependencies of your application. Running bundle install will take the list of required gems in your gemfile and install them if they aren't installed already, just like

Categories : Ruby On Rails

Go install always fails no install directory outside GOPATH
You are using go install on a directory outside the GOPATH folder. Set your GOBIN env variable, or move src folder inside GOPATH. GOPATH/ bin/ src/ go-statsd-client/ More info: GO BUILD Source code, line 296

Categories : Osx

How can I install Leiningen self-install from behind a firewall?
This should help: https://github.com/technomancy/leiningen/wiki/HTTP-Proxies You should work on your googling skills ;)

Categories : Misc

how to install php 5.4 install on ubuntu desktop 12.04?
Maybe this tutorial will help http://www.barryodonovan.com/index.php/2012/05/22/ubuntu-12-04-precise-pangolin-and-php-5-4-again

Categories : PHP

Steps to Install Git from source, install Post-Git from source, and then load up Posh in PowerShell?
Check out https://github.com/msysgit/msysgit for building Git for Windows. (For what it's worth, I've never built Git on Windows and don't consider myself to have missed out.) Once you have Git built (or installed): Add the location of git.exe to your %PATH% Clone posh-git to a directory of your choosing Run posh-git's install.ps1 to install the default prompt in your $PROFILE

Categories : Windows

UITableViewController done manually
Yes it's correct. The navigation controller is a container whose purpose is to manage a stack of view controllers so it's very different to the table view controller. Try the master detail template and compare the differences.

Categories : IOS

Add property manually?
function foo(type) { if(foo[type] == undefined) foo[type] = 0; } You probably want to use === undefined so you won't get any unexpected results

Categories : Javascript

Rake db:migrate error Please install the sqlite3 adapter: `gem install activerecord-sqlite3-adapter`
It looks like you might be using sqlite in development. Can you try this in your gemfile instead of what you have? group :development, :test do gem 'sqlite3' gem "unicorn", "~> 4.6.2" end Then usual bundle install and run migration again.

Categories : Ruby On Rails

How do I manually merge a branch in git?
If you really want to go this way, you can merge manually, and then use git merge -s ours oldbranch which will mark the branch as merged, but not apply any change to master.

Categories : GIT

Manually editing XML code
As follows: <xml> <HighScoreData> <PlanerName>Player 1</PlayerName> <Score>200</Score> <Level>1</Level> </HighScoreData> <HighScoreData> <PlanerName>Player 2</PlayerName> <Score>100</Score> <Level>1</Level> </HighScoreData> ... </xml>

Categories : C#

Manually call DbMigration.Up in EF
I use the following code to explicitly be able to upgrade my database in the Application_Start event: var config = new MyDatabaseMigrationsConfiguration(); var migrator = new System.Data.Entity.Migrations.Infrastructure.MigratorLoggingDecorator(new System.Data.Entity.Migrations.DbMigrator(config), new MyCommonMigrationsLogger()); if (migrator.GetPendingMigrations().Any()) { migrator.Update(); } As far as i know this will use the default (named) connectionstring from my DatabaseContext to apply the pending changes. You can specify the TargetMigration in the migrator.Update() if you want to be explicit The MyCommonMigrationsLogger is just a simple Logging.Common implementation for the System.Data.Entity.Migrations.Infrastructure.MigrationsLogger

Categories : C#

Manually manipulating FBX GlobalSettings
You can right click the model.fbx in the solution explorer and select properties, then expand the content processor and set whatever rotations you want the processor to do to it when it builds the fbx into the xnb that the content manager loads. It will then load into xna with those rotations built in.

Categories : C#

How can I manually change the orientation
In the project settings, you can set the orientations your app permits. Set it to LandscapeLeft and LandscapeRight. That will prevent your app from going into Potrait mode, irrespective of the orientation of device before your app was started. MANUALLY FORCE CHANGE ORIENTATION In iOS, you cannot directly set the device orientation manually. However, you can use this method to get your work done. [[UIApplication sharedApplication] setStatusBarOrientation:UIInterfaceOrientationLandscapeLeft animated:NO]; THE USUAL WAY Alternatively, you can goto your implementation file where you can specify the allowed orientations in this method: - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation { //Return YES if you want to allow all orientations return UI

Categories : Objective C

Calculate zbuffer value manually?
See this article, under the Mathematics section, for the formula to calculating the perspective projected Z value you are looking for.

Categories : Android

Generating a sphere manually
The reason it is getting slower and slower, is because the GLU geometry meshes rendered using GLU uses immediate mode for rendering. You could download a Java Decompiler and decompile lwjgl_util.jar, then you just follow the package paths to glu.Sphere.Sphere() and then you can lookup the draw() method. Take a look and see how the code works, and then basically create you own method but instead of using glVertex, etc methods. Just add the values to a FloatBuffer, and then create a VBO of the Sphere. Here is a free Java Decompiler!

Categories : Opengl

ggplot set scale_color_gradientn manually
You can use scale_colour_gradientn() and then provide your own colours= and values=. Values will give intervals for each color. ggplot(myplot,aes(BP,LOG10, color=R2)) + geom_point() + scale_colour_gradientn(colours = c("red","yellow","green","lightblue","darkblue"), values=c(1.0,0.8,0.6,0.4,0.2,0))

Categories : R

Manually scrolling through a TComboBox
Activate the ComboBox. And you'd better use the DroppedDown property, which also invalidates the combobox to reflect the change. ActiveControl := ComboBox1; ComboBox1.DroppedDown := True;

Categories : Delphi



© Copyright 2017 w3hello.com Publishing Limited. All rights reserved.